/*
 *  Copyright 2007 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) TCP/IP_Network_Developers_Kit 1.92.00.22 01-10-2007 (ndk-b22)
 */
/*
 *  ======== llled.c ========
 *
 */

//--------------------------------------------------------------------------
// IP Stack
//--------------------------------------------------------------------------
// llled.c
//
// Interface to User LED for EVMDM642
//
//-------------------------------------------------------------------------
#include <stkmain.h>

#define DSK_IOPORT  ((unsigned char *)0x90080017)

void _llUserLedInit() {}

void _llUserLedShutdown() {}

void LED_ON(UINT32 ledId) 
{
    *DSK_IOPORT &= ~ledId;
}

void LED_OFF(UINT32 ledId) 
{
    *DSK_IOPORT |= ledId;
}

void LED_TOGGLE(UINT32 ledId) 
{
    *DSK_IOPORT ^= ledId;
}

